<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <script type="text/javascript">
        var n1=10;
        var n2=20;
        var n3=15;
        function cajas(a1,a2,a3){

            document.querySelector("main").innerHTML+='<div class="estandar"> DIV1 </div>';//aqui llego hasta la caja donde quiero meter el div.
            document.querySelector("main").innerHTML+='<div class="estandar"> DIV2 </div>';
            document.querySelector("main").innerHTML+='<div class="estandar"> DIV3 </div>';
            
            var estilos=document.querySelectorAll("main>div");

            estilos[0].style.height=a1 +"px";
            estilos[0].style.backgroundColor="red";
            estilos[0].style.color="white";

            // document.querySelectorAll("main>div")[0].style.height=a1 +"px";
            // document.querySelectorAll("main>div")[0].style.backgroundColor="red";
            // document.querySelectorAll("main>div")[0].style.color="white";
            document.querySelectorAll("main>div")[1].style.height=a2 +"px";
            document.querySelectorAll("main>div")[1].style.backgroundColor="blue";
            document.querySelectorAll("main>div")[1].style.color="white";
            document.querySelectorAll("main>div")[2].style.height=a3 +"px";
            document.querySelectorAll("main>div")[2].style.backgroundColor="green";
            document.querySelectorAll("main>div")[2].style.color="white";


        };
            

    </script>
</head>

<body onload="cajas(50,20,60)">
    <main>
        <header>
            <h1>Ejemplo 4</h1>
        </header>
        <section>
            <header>
                <h2>Enunciado</h2>
            </header>
            <article>
                Crear una funcion que le pases 3 numeros y te cree 3 divs con la altura de los numeros pasados. Los divs deben tener una clase que se denonine "estandar". Esta clase la debeis crear vosotros antes
            </article>

            
        </section>
    </main>
</body>
</html>